Next: _gfortran_set_record_marker, Previous: _gfortran_set_options, Up: Non-Fortran Main Program [Contents][Index]

#### 7.3.3 `_gfortran_set_convert` — Set endian conversion

Description:

  `_gfortran_set_convert` set the representation of data for unformatted files.

Syntax:

  `void _gfortran_set_convert (int conv)`

Arguments:

  conv | Endian conversion, possible values: GFC_CONVERT_NATIVE (0, default), GFC_CONVERT_SWAP (1), GFC_CONVERT_BIG (2), GFC_CONVERT_LITTLE (3).

Example:

      int main (int argc, char *argv[])
      {
        /* Initialize libgfortran.  */
        _gfortran_set_args (argc, argv);
        _gfortran_set_convert (1);
        return 0;
      }